/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Mar 30, 2006
 *
 */
package gov.va.med.esr.common.batchprocess;

import gov.va.med.esr.common.batchprocess.datasync.IVMDataSynchronizationExceptionConsumerProcess;

import gov.va.med.fw.scheduling.ScheduledProcess;

/**
 * TestIVMDataSynchronizationProducerProcess
 * Created Apr 14, 2006 2:46:19 PM
 * @author DNS   MANSOG
 *
 */
public class TestIVMDataSynchronizationExceptionConsumerProcess extends
		AbstractScheduledProcessTest {
    private IVMDataSynchronizationExceptionConsumerProcess batchProcess;

    public TestIVMDataSynchronizationExceptionConsumerProcess() {
		super();
	}

	/**
	 * @return Returns the batchProcess.
	 */
	public IVMDataSynchronizationExceptionConsumerProcess getBatchProcess() {
		return batchProcess;
	}

	/**
	 * @param batchProcess The batchProcess to set.
	 */
	public void setBatchProcess(IVMDataSynchronizationExceptionConsumerProcess batchProcess) {
		this.batchProcess = batchProcess;
	}

	/**
     *  (non-Javadoc)
	 * @see gov.va.med.esr.common.batchprocess.AbstractScheduledProcessTest#getScheduledProcess()
	 */
	protected ScheduledProcess getScheduledProcess() {
		return getBatchProcess();
	}    
}

